For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
      • GETGet loyalty program list
      • POSTCreate loyalty program
      • GETGet loyalty program Info
      • PUTUpdate loyalty program
      • PATCHPartially update loyalty program
      • DELDelete Loyalty Program
      • POSTPublish loyalty program
      • POSTCreate subscription
      • POSTCreate subscription member
      • DELDelete subscription member
      • DELDelete subscription
      • GETGet Subscription Data
LogoLogo
Help CenterAPI KeysStatusSign In
LoyaltyProgram

Create subscription member

POST
https://api.brevo.com/v3/loyalty/config/programs/:pid/subscription-members
POST
/v3/loyalty/config/programs/:pid/subscription-members
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.program.subscribeMemberToASubscription("pid", {
8 memberContactIds: [
9 1,
10 ],
11 });
12}
13main();
1{
2 "organizationId": 1,
3 "ownerContactId": 1,
4 "memberContactIds": [
5 1
6 ],
7 "createdAt": "2024-01-15T09:30:00Z",
8 "updatedAt": "2024-01-15T09:30:00Z"
9}
Add member to a subscription
Was this page helpful?
Previous

Delete subscription member

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

pidstringRequiredformat: "uuid"
Loyalty Program ID. A unique identifier for the loyalty program.

Request

Payload for adding a subscription member.
memberContactIdslist of integersRequired
Required, each item must be greater than or equal to 1
contactIdintegerOptional
Required if LoyaltySubscriptionId is not provided, must be greater than 0
loyaltySubscriptionIdstringOptional<=64 characters
Required if ContactId is not provided, max length 64

Response

Successfully added subscription member.
organizationIdlong
Unique identifier of the organization.
ownerContactIdlong
Unique identifier of the subscription owner.
memberContactIdslist of longs
List of unique member contact IDs.
createdAtdatetime
Timestamp when the subscription member was created.
updatedAtdatetime
Timestamp when the subscription member was last updated.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
500
Internal Server Error